# Grafana datasources provisioning - All editable (readOnly: false)
apiVersion: 1

datasources:
  - name: influxdb-smartcity
    type: influxdb
    access: proxy
    url: http://smart-city-influxdb:8086
    database: smartcity
    jsonData:
      version: Flux
      organization: digitribe
      defaultBucket: smartcity
      tlsSkipVerify: true
    secureJsonData:
      token: my-super-token
    isDefault: true
    readOnly: false

  - name: FIWARE Orion
    type: grafana-simple-json-datasource
    access: proxy
    url: http://fiware-gis-quickstart-orion-1:1026
    jsonData:
      queryURLTemplate: "/ngsi-ld/v1/entities?type={{type}}"
      method: GET
    readOnly: false
    editable: true

  - name: GeoServer WMS
    type: wms-wfst
    access: proxy
    url: http://docker-geoserver-1:8080/geoserver
    jsonData:
      layers: "digital-twin:IoT_Sensors"
      attributes: "data,location,timestamp"
      featureServerURL: "http://docker-geoserver-1:8080/geoserver/wfs"
    basicAuth: true
    basicAuthUser: admin
    basicAuthPassword: geoserver
    readOnly: false
    editable: true

  - name: FROST-Server
    type: grafana-simple-json-datasource
    access: proxy
    url: http://docker-frost-1:8080/FROST-Server/v1.1
    readOnly: false
    editable: true
